//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ReleaseStatusCodeLifeCycle.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ReleaseStatusCodeLifeCycle"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="draft"/&gt;
 *     &lt;enumeration value="pending"/&gt;
 *     &lt;enumeration value="active"/&gt;
 *     &lt;enumeration value="retired"/&gt;
 *     &lt;enumeration value="cancelled"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ReleaseStatusCodeLifeCycle")
@XmlEnum
public enum ReleaseStatusCodeLifeCycle {


    /**
     * Release under development (nascent). Entered primarily to encourage other users to be aware of ongoing process.
     * 
     */
    @XmlEnumValue("draft")
    DRAFT("draft"),

    /**
     * Release is in pre-publication review: the Release is complete, pending appropriate review.
     * 
     */
    @XmlEnumValue("pending")
    PENDING("pending"),

    /**
     * Release has been published by the governance group (custodian organization) and deemed fit for use. May have associated adoption and annotation metadata.
     * 
     */
    @XmlEnumValue("active")
    ACTIVE("active"),

    /**
     * Release retired: No longer fit for use. Information available for historical reference.
     * 
     */
    @XmlEnumValue("retired")
    RETIRED("retired"),

    /**
     * Release was never published as active and is withdrawn.
     * 
     */
    @XmlEnumValue("cancelled")
    CANCELLED("cancelled");
    private final String value;

    ReleaseStatusCodeLifeCycle(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ReleaseStatusCodeLifeCycle fromValue(String v) {
        for (ReleaseStatusCodeLifeCycle c: ReleaseStatusCodeLifeCycle.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
